obsolete
FEDORA-EPEL-2020-e159fd578d created by kevin 2 years ago for Fedora EPEL 7

Update to bugfix and feature upstream 1.21.0 version. See https://docs.pagure.org/koji/release_notes/release_notes_1.21 for detailed changes.

This update has been submitted for testing by kevin.

2 years ago

This update's test gating status has been changed to 'waiting'.

2 years ago

This update's test gating status has been changed to 'ignored'.

2 years ago
User Icon ignatenkobrain commented & provided feedback 2 years ago
karma

Works fine in our deployment.

BZ#1826343 koji-1.21.0 is available

This update has been pushed to testing.

2 years ago
User Icon stevetraylen commented & provided feedback 2 years ago

1.21.0 client now broken against our deployment.

Breakage occured with upgrade from 1.20 to 1.21

Server version: 1.17.0

koji -d moshimoshi

2020-04-27 14:15:54,072 [DEBUG] koji: Opening new requests session
2020-04-27 14:15:54,073 [DEBUG] koji: Opening new requests session
2020-04-27 14:15:54,102 [DEBUG] koji: Opening new requests session
2020-04-27 14:15:54,103 [DEBUG] koji: gssapi auth failed: MutualAuthenticationError: Unable to authenticate <Response [200]>

Traceback (most recent call last):
  File "/usr/bin/koji", line 335, in <module>
    rv = locals()[command].__call__(options, session, args)
  File "/usr/lib/python2.7/site-packages/koji_cli/commands.py", line 7389, in handle_moshimoshi
    activate_session(session, options)
  File "/usr/lib/python2.7/site-packages/koji_cli/lib.py", line 700, in activate_session
    session.gssapi_login(proxyuser=runas)
  File "/usr/lib/python2.7/site-packages/koji/__init__.py", line 2572, in gssapi_login
    raise AuthError('unable to obtain a session')
koji.AuthError: unable to obtain a session

Edit not -1 as older server version.

User Icon stevetraylen commented & provided feedback 2 years ago

Likely the krb_deprecation - https://pagure.io/koji/pull-request/1992

User Icon stevetraylen commented & provided feedback 2 years ago

Ignore previous comment , it is only a warning.

Server side error is:

[Mon Apr 27 14:22:46.061394 2020] [:error] [pid 3673303]     raise koji.AuthError('could not verify client: %s' % context.environ.get('SSL_CLIENT_VERIFY'))
[Mon Apr 27 14:22:46.061397 2020] [:error] [pid 3673303] AuthError: could not verify client: NONE
User Icon kevin commented & provided feedback 2 years ago

@stevetraylen Could you file a https://pagure.io/koji/issues ticket on this?

I am not sure what level of compatibility koji promises between client and server (likely that should be documented) and they might also be able to see some way to make this work for you (but I shouldn't speak for them).

User Icon stevetraylen commented & provided feedback 2 years ago

Error from me , our server version is 1.19.1-5.el7 where the error is occuring.

Will open a ticket.

This update has been obsoleted by koji-1.21.0-2.el7.

2 years ago

Please login to add feedback.

Metadata
Type
bugfix
Severity
medium
Karma
1
Signed
Content Type
RPM
Test Gating
Settings
Unstable by Karma
-3
Stable by Karma
3
Stable by Time
14 days
Dates
submitted
2 years ago
in testing
2 years ago
BZ#1826343 koji-1.21.0 is available
0
1

Automated Test Results